#
# spec file for package java-binfmt-misc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define runtimescript java-binfmt-misc

Name:           java-binfmt-misc
Version:        1.4
Release:        10.2
Summary:        The binfmt_misc support for Java
License:        GPL-2.0
Group:          Development/Languages/Java
Url:            http://www.kernel.org/
# derived from Linux's Documentation/java.txt
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  update-desktop-files
# split-alias for libzypp
# http://en.opensuse.org/Upgrade_Dependencies#Splitting_a_package_into_two
Provides:       jpackage-utils:/usr/bin/jarwrapper
# Conflicts with an unsplitted version of jpackage-utils
Conflicts:      jpackage-utils <= 1.7.5-2.3

%description
Linux beats them ALL! While all other OS's are TALKING about direct
support of Java Binaries in the OS, Linux is doing it!

You can execute Java applications and Java Applets just like any other
program after you have installed this package.

%prep
%setup -q

%build
gcc $RPM_OPT_FLAGS javaclassname.c -o javaclassname

%install
# a basic directory structure
install -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/{applications,pixmaps,lib/binfmt.d}
install -d -m 0755 $RPM_BUILD_ROOT/%{_bindir}/
install -d -m 0755 $RPM_BUILD_ROOT/%{_mandir}/man1
# wrappers
install -m 0755 javaclassname $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 *wrapper $RPM_BUILD_ROOT/%{_bindir}/
# desktop menu
install -m 0644 share/java.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/java.png
install -m 0644 share/*desktop $RPM_BUILD_ROOT%{_datadir}/applications/
for wrapper in jarwrapper javawrapper javawswrapper; do
    # init binfmt.d snippet
    install -m 0644 ${wrapper}.conf %{buildroot}%{_datadir}/lib/binfmt.d/
    %suse_update_desktop_file -r $RPM_BUILD_ROOT%{_datadir}/applications/$wrapper.desktop Java System
done
# manual page
gzip docs/%{name}.1
mv docs/%{name}.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1
(
cd $RPM_BUILD_ROOT/%{_mandir}/man1
for alias in jarwrapper javawrapper javawswrapper javaclassname; do
    ln -sf %{name}.1.gz $alias.1.gz;
done
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc docs/
%attr(755,root,root) %{_bindir}/*
%{_datadir}/lib
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Mon Jul 29 2013 mvyskocil@suse.com
- update to 1.4
  * add systemd-style binfmt.d config files
  * drop sysvinit script
  * rename and update readme file
* Wed Mar 25 2009 mvyskocil@suse.cz
- fixed minor indentation in initscript [bnc#435514] using vim's =
* Tue Feb 10 2009 mvyskocil@suse.cz
- Remove Java 64bit Webstart warning, as it's obsoleted by openjdk and Sun u12
* Thu Feb  5 2009 mvyskocil@suse.cz
- Initial packaging of java-binfmt-misc (splitted from jpackage-utils)
- Test of existence a files in /proc/sys/fs/binfmt_misc/ before write in stop
  (the older version ends with an error if stop was called several times)
- New java-binfmt-misc.1 manual page (manual page of every available wrapper is
  a link to this page)
- Include a Documentation/java.txt
- Build a javaclassname command from source code and drop the ad-hoc binary
  from sources
